import Image from 'next/image'

import { ChevronRight } from 'lucide-react'
import Link from 'next/link'
import imgFooter from '../../public/images/img-footer.svg'
import { Button } from './ui/button'

export function Footer() {
  return (
    <footer className="px-6 py-10 bg-primary-main md:flex gap-3 flex-row-reverse justify-between items-center">
      <Image src={imgFooter} alt="Educação Adventista" />
      <nav className="py-8">
        <ul className="flex flex-col gap-4">
          <li>
            <Button asChild variant="link" className="p-0">
              <Link href="#">
                Cursos rápidos <ChevronRight className="text-yellow-500 ml-3" />
              </Link>
            </Button>
          </li>
          <li>
            <Button asChild variant="link" className="p-0">
              <Link href="#">
                Cursos de aprofundamento
                <ChevronRight className="text-yellow-500 ml-3" />
              </Link>
            </Button>
          </li>
          <li>
            <Button asChild variant="link" className="p-0">
              <Link href="#" className="flex items-center">
                Cursos corporativos
                <ChevronRight className="text-yellow-500 ml-3" />
              </Link>
            </Button>
          </li>
        </ul>
      </nav>
      <ul>
        <li>Plataforma de Cursos Livres</li>
        <li>HUB - Indústria Criativa</li>
        <li>Centro de Ensino Superior Adventista no Sul do Brasil</li>
        <li>CNPJ 76.726.884/0003-90 | Vale do Ivaí - Ivatuba, PR</li>
        <li>CEP: 87130-000 | Caixa Postal - 28</li>
        <li>Fone: (44) 3236-8000</li>
      </ul>
    </footer>
  )
}
